Bug 1279244 - [abrt] nautilus: g_type_check_instance_is_a(): nautilus killed by SIGSEGV
[abrt] nautilus: g_type_check_instance_is_a(): nautilus killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:55a7f662d4d2f39a4dc3f70196c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-08 15:28 EST by Martin Kolman
Modified: 2016-12-20 10:32 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:32:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (41.91 KB, text/plain)
2015-11-08 15:28 EST, Martin Kolman
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-08 15:28 EST, Martin Kolman
no flags Details
File: core_backtrace (9.05 KB, text/plain)
2015-11-08 15:29 EST, Martin Kolman
no flags Details
File: dso_list (14.67 KB, text/plain)
2015-11-08 15:29 EST, Martin Kolman
no flags Details
File: environ (2.82 KB, text/plain)
2015-11-08 15:29 EST, Martin Kolman
no flags Details
File: exploitable (95 bytes, text/plain)
2015-11-08 15:29 EST, Martin Kolman
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-08 15:29 EST, Martin Kolman
no flags Details
File: maps (69.90 KB, text/plain)
2015-11-08 15:29 EST, Martin Kolman
no flags Details
File: mountinfo (4.66 KB, text/plain)
2015-11-08 15:29 EST, Martin Kolman
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-08 15:29 EST, Martin Kolman
no flags Details
File: open_fds (1.24 KB, text/plain)
2015-11-08 15:29 EST, Martin Kolman
no flags Details
File: proc_pid_status (1018 bytes, text/plain)
2015-11-08 15:29 EST, Martin Kolman
no flags Details

  None (edit)
Description Martin Kolman 2015-11-08 15:28:54 EST
Description of problem:
Tried to use the "open" action on a link to a tar archive in Firefox, which resulted in a weird grayed-out Nautilus window instead of the expected archiving tool. This happen again when I tried to click the file in Firefox download list. When I tried to close on of those grayed out Nautilus windows thoe whole Nautilus process apparently crashed.

Version-Release number of selected component:
nautilus-3.18.1-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        natilus /tmp/pycharm-community-5.0.tar.gz
crash_function: g_type_check_instance_is_a
executable:     /usr/bin/nautilus
global_pid:     7178
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 g_type_check_instance_is_a at gtype.c:4020
 #1 nautilus_file_cancel_call_when_ready at nautilus-file.c:7364
 #2 free_location_change at nautilus-window-slot.c:1538
 #3 nautilus_window_slot_dispose at nautilus-window-slot.c:2320
 #5 gtk_container_remove at gtkcontainer.c:1900
 #6 g_list_foreach at glist.c:1005
 #7 nautilus_window_destroy at nautilus-window.c:2120
Comment 1 Martin Kolman 2015-11-08 15:28:58 EST
Created attachment 1091403 [details]
File: backtrace
Comment 2 Martin Kolman 2015-11-08 15:28:59 EST
Created attachment 1091404 [details]
File: cgroup
Comment 3 Martin Kolman 2015-11-08 15:29:01 EST
Created attachment 1091405 [details]
File: core_backtrace
Comment 4 Martin Kolman 2015-11-08 15:29:03 EST
Created attachment 1091406 [details]
File: dso_list
Comment 5 Martin Kolman 2015-11-08 15:29:04 EST
Created attachment 1091407 [details]
File: environ
Comment 6 Martin Kolman 2015-11-08 15:29:06 EST
Created attachment 1091408 [details]
File: exploitable
Comment 7 Martin Kolman 2015-11-08 15:29:07 EST
Created attachment 1091409 [details]
File: limits
Comment 8 Martin Kolman 2015-11-08 15:29:09 EST
Created attachment 1091410 [details]
File: maps
Comment 9 Martin Kolman 2015-11-08 15:29:11 EST
Created attachment 1091411 [details]
File: mountinfo
Comment 10 Martin Kolman 2015-11-08 15:29:12 EST
Created attachment 1091412 [details]
File: namespaces
Comment 11 Martin Kolman 2015-11-08 15:29:13 EST
Created attachment 1091413 [details]
File: open_fds
Comment 12 Martin Kolman 2015-11-08 15:29:15 EST
Created attachment 1091414 [details]
File: proc_pid_status
Comment 13 Fedora End Of Life 2016-11-24 08:13:03 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2016-12-20 10:32:27 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.